1.0.0OAS 3.1

Upload assets to Bynder using S3-backed multipart upload flow.

API Base URL
  • Server 1:https://{your-bynder-domain}/
    Variables
    your-bynder-domain:
Security
OAuth2 (oauth2)

Authorization Code OAuth Flow

Authorize URL: https://your-bynder-domainDefaultValue/

Token URL: https://your-bynder-domainDefaultValue/token

Scopes:

  • MEDIAUPLOAD -
  • MEDIAUPLOADFORAPPROVAL -

Client Credentials OAuth Flow

Token URL: https://your-bynder-domainDefaultValue/token

Scopes:

  • MEDIAUPLOAD -
  • MEDIAUPLOADFORAPPROVAL -
permanentToken (apiKey)

An API key is a token that you provide when making API calls. Include the token in a header parameter called Authorization.

Example: Authorization: 123

Step 1 Get closest AmazonS3 upload endpoint

This endpoint gets the AmazonS3 endpoint that is closest to your current location.

Get closest Amazon S3 upload endpoint

Get the closest AmazonS3 upload endpoint.

get
https://your-bynder-domain/api/upload/endpoint

Response

200 application/json

Successful response

string
get/api/upload/endpoint
 
200 application/json